summaryrefslogtreecommitdiffstats
path: root/games/rejoystick
diff options
context:
space:
mode:
author Steven Pledger <linux.propane@yahoo.com>2010-04-16 21:52:02 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:07 +0200
commit7a0c818e6b421fb84dcb2f8522fd844b1d10c128 (patch)
tree0f53f86e7f76824e15d7f22e96503dbd8e4227fd /games/rejoystick
parenta9bd826f2222adb1fa3d04aa3ee9369d62ea4acc (diff)
downloadslackbuilds-7a0c818e6b421fb84dcb2f8522fd844b1d10c128.tar.gz
slackbuilds-7a0c818e6b421fb84dcb2f8522fd844b1d10c128.tar.xz
games/rejoystick: Added (translates joystick keypresses to keyboard)
Diffstat (limited to 'games/rejoystick')
-rw-r--r--games/rejoystick/README5
-rw-r--r--games/rejoystick/rejoystick.SlackBuild75
-rw-r--r--games/rejoystick/rejoystick.info10
-rw-r--r--games/rejoystick/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/games/rejoystick/README b/games/rejoystick/README
new file mode 100644
index 0000000000..1a58bee65a
--- /dev/null
+++ b/games/rejoystick/README
@@ -0,0 +1,5 @@
+Rejoystick is a program that maps keypresses on your
+gamepad/joypad/joystick to keypresses on a keyboard when you
+are running X. Since it uses SDL to communicate with the gamepad
+device, it can work on every platform that provides SDL and an
+X environment. (Though it is yet to be tested on Cygwin e.g.)
diff --git a/games/rejoystick/rejoystick.SlackBuild b/games/rejoystick/rejoystick.SlackBuild
new file mode 100644
index 0000000000..ca5bb32a73
--- /dev/null
+++ b/games/rejoystick/rejoystick.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for rejoystick
+
+# Written by Steven Pledger <linux.propane@yahoo.com>
+
+PRGNAM=rejoystick
+VERSION=${VERSION:-0.8.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# AUTHORS, ChangeLog, and NEWS are empty files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/rejoystick/rejoystick.info b/games/rejoystick/rejoystick.info
new file mode 100644
index 0000000000..405f96c990
--- /dev/null
+++ b/games/rejoystick/rejoystick.info
@@ -0,0 +1,10 @@
+PRGNAM="rejoystick"
+VERSION="0.8.1"
+HOMEPAGE="http://rejoystick.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/rejoystick/files/rejoystick/rejoystick-0.8.1/rejoystick-0.8.1.tar.gz"
+MD5SUM="43208b766a131e2725bfd72caf60a41d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Steven Pledger"
+EMAIL="linux.propane@yahoo.com"
+APPROVED="dsomero"
diff --git a/games/rejoystick/slack-desc b/games/rejoystick/slack-desc
new file mode 100644
index 0000000000..213da44bfb
--- /dev/null
+++ b/games/rejoystick/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rejoystick: rejoystick (translates joystick keypresses to keyboard)
+rejoystick:
+rejoystick: Rejoystick is a program that maps keypresses on your
+rejoystick: gamepad/joypad/joystick to keypresses on a keyboard when you
+rejoystick: are running X. Since it uses SDL to communicate with the gamepad
+rejoystick: device, it can work on every platform that provides SDL and an
+rejoystick: X environment. (Though it is yet to be tested on Cygwin e.g.)
+rejoystick:
+rejoystick: Homepage: http://rejoystick.sourceforge.net/
+rejoystick:
+rejoystick: